Subject: Re: Bug#228766: X-Spam-Checker-Version: SpamAssassin header not added

From: Mark Martinec <[email-masked]>
Date: Fri, 13 Feb 2004 01:06:10 +0100

| severity 228766 wishlist
| 
| The amavisd code to add this header is commented upstream, therefore
| I am lowering the severity of this bug to "wishlist", and sending it
| upstream.
| 
| Mark, I assume there is a reason for that code to be commented out,
| instead of being a config option or enabled all the time?

The only reason is that the method to obtain SA version and sub-version
is not in the public API or documented. I have 'stolen' it from SA code,
tried it to see that it works, then commented it out.

Since the method is not public, SA folks are free to change
it at any time, breaking compatibility with amavisd-new.

  Mark